package ru.dbotthepony.mc.otm.menu

import net.minecraft.world.SimpleContainer
import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.block.entity.storage.DriveRackBlockEntity
import ru.dbotthepony.mc.otm.registry.MMenus

class DriveRackMenu @JvmOverloads constructor(
	p_38852_: Int,
	inventory: Inventory,
	tile: DriveRackBlockEntity? = null
) : MatteryPoweredMenu(MMenus.DRIVE_RACK, p_38852_, inventory, tile) {
	val drives: Array<MatterySlot>

	init {
		val container = tile?.drives ?: SimpleContainer(4)

		val drives = arrayOfNulls<MatterySlot>(4)

		for (i in 0 until container.containerSize) {
			val slot = DriveSlot(container, i)
			drives[i] = slot
			addSlot(slot)
		}

		this.drives = drives as Array<MatterySlot>

		addInventorySlots()
	}

	override fun getWorkingSlotStart(): Int {
		return 0
	}

	override fun getWorkingSlotEnd(): Int {
		return 5
	}
}